Results 1 to 6 of 6

Thread: A pettion to allow First gen I7 back

  1. #1

    CSA Captain


    Join Date
    Jan 2016
    Location
    Iowa
    Posts
    73

    A pettion to allow First gen I7 back

    Up untill the arty up date me and many players had been able to play just fine then out of a whim the devs decided to pull the no generation I7 and remove about 1/4 of the population over night and how many of us had backed the game and now we cant play at all. I have a 920 I7 that is a gen 1, 8 gb of ram, and an amd 5770 HD. With those specs I can play battlefield 1 and 5, also i can play the brand new game of new world yet i find it a load of BS that i cant play a game that i backed with 70$ its complete crap that i cant play wor at all any more due to a dumb decision by the devs its more of a bonehead move on them to due with the prices of computer components. I know i cant drop 900 or more on a new pc to be able to play wor. So with that i am proposing that as a community we force or puss the devs to allow support of the first generation I7s so those of us that could play it still can and be able to get back into game.

  2. #2
    Moderator

    CSA Major

    Leifr's Avatar
    Join Date
    May 2015
    Posts
    1,268
    Hi C.S.A Sniper43.

    I am not super familiar with Intel products, however I see that your specific CPU launched in 2008 and is compatible only with DDR3 memory. Forgive me for saying but this is a piece of hardware that is far beyond any sensible recommendation for current gaming practices. It would not be dissimilar from trying to use a CPU from 1995 with the launch of Crysis in 2007! Staying within the same family of products, you are a full eleven generations behind the current product offering.


    I am unsure if it is a 'bonehead' move for any game developer to cease support of, what is now, deprecated technology. I am also unsure if this was purposeful or simply a product of some engine update with CryTek that has ceased support with your particular line of CPU.

  3. #3
    WoR-Dev TrustyJam's Avatar
    Join Date
    Jan 2013
    Location
    Denmark
    Posts
    5,134
    Hello Sniper,

    Thank you for your feedback.

    Backwards compatibility to first gen i7’s and other old CPU’s was added about a week after we originally wasn’t able to support them anymore due to their age.

    In short, the game works with your CPU and has done so for months at this point.

    I suspect you are trying to run the game via a shortcut to the new .exe file that runs the updated (and quicker) code and not via the Steam library where it will auto select to run the old, slower code that works on your CPU.

    - Trusty

  4. #4

    CSA Captain


    Join Date
    Jan 2016
    Location
    Iowa
    Posts
    73
    It would have been nice for you all to announce that when it was implemented. Due to the i was scrued in my regiment for advancements and how many more got rucked by that decision.

  5. #5
    WoR-Dev TrustyJam's Avatar
    Join Date
    Jan 2013
    Location
    Denmark
    Posts
    5,134
    Quote Originally Posted by C.S.A. Sniper43 View Post
    It would have been nice for you all to announce that when it was implemented. Due to the i was scrued in my regiment for advancements and how many more got rucked by that decision.
    Thanks for the feedback.

    I believe it was part of one of the 12 hotfixes we released for update 174 and so would have been part of those specific hotfix notes and likely pretty quickly buried by the following hotfix releases.

    - Trusty

  6. #6
    Jigsaw's Avatar
    Join Date
    Dec 2019
    Location
    Beeville, TX
    Posts
    24
    I play on an i7 just fine.
    Do what you love and you'll never work a day in your life. Because that field is not hiring. ~1st Jiggalations 4:20

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •